# Method: projects.locations.clusters.consumerGroups.get

- [HTTP request](https://docs.cloud.google.com/managed-service-for-apache-kafka/docs/reference/rest/v1/projects.locations.clusters.consumerGroups/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/managed-service-for-apache-kafka/docs/reference/rest/v1/projects.locations.clusters.consumerGroups/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/managed-service-for-apache-kafka/docs/reference/rest/v1/projects.locations.clusters.consumerGroups/get#body.request_body)
- [Response body](https://docs.cloud.google.com/managed-service-for-apache-kafka/docs/reference/rest/v1/projects.locations.clusters.consumerGroups/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/managed-service-for-apache-kafka/docs/reference/rest/v1/projects.locations.clusters.consumerGroups/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/managed-service-for-apache-kafka/docs/reference/rest/v1/projects.locations.clusters.consumerGroups/get#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/managed-service-for-apache-kafka/docs/reference/rest/v1/projects.locations.clusters.consumerGroups/get#try-it)

Returns the properties of a single consumer group.

### HTTP request

`GET https://managedkafka.googleapis.com/v1/{name=projects/*/locations/*/clusters/*/consumerGroups/**}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the consumer group whose configuration to return. `projects/{project}/locations/{location}/clusters/{cluster}/consumerGroups/{consumerGroup}`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/managed-service-for-apache-kafka/docs/reference/rest/v1/projects.locations.clusters.consumerGroups#ConsumerGroup`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `managedkafka.consumerGroups.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).